Skip to main content
GET
/
v1
/
secrets
/
{name}
/
value
Get Secret Value
curl --request GET \
  --url https://api.retab.com/v1/secrets/{name}/value \
  --header 'Api-Key: <api-key>'
{
  "secret": {
    "name": "<string>",
    "value": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Get the decrypted value for one environment-scoped secret.
Python
secret = client.secrets.list_secret_value("RESEND_API_KEY")
TypeScript
const secret = await client.secrets.list_secret_value("RESEND_API_KEY");
Go
secret, err := client.Secrets.GetValue(ctx, "RESEND_API_KEY")
Java
// Get a secret value with the Retab Java client.
cURL
curl https://api.retab.com/v1/secrets/RESEND_API_KEY/value \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

name
string
required
Pattern: ^[A-Za-z_][A-Za-z0-9_]*$

Response

Successful Response

secret
SecretValue · object
required